package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.scheduling.management.SchCollectorApi;
import com.docus.server.dto.scheduling.management.SchCollectorDTO;
import com.docus.server.service.ISchCollectorService;
import com.docus.server.vo.scheduling.management.SchCollectorVO;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 采集器管理 控制器类
 *
 * @author AutoGenerator
 * @since 2023-07-14
 */
@RestController
public class SchCollectorController implements SchCollectorApi {
    @Resource
    private ISchCollectorService iSchCollectorService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public SchCollectorVO findById(String id) {
        return iSchCollectorService.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<SchCollectorVO> search(SearchRequest searchRequest) {
        return iSchCollectorService.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param schCollectorDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(SchCollectorDTO schCollectorDTO) {
        return iSchCollectorService.add(schCollectorDTO);
    }

    /**
     * 编辑
     *
     * @param schCollectorDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(SchCollectorDTO schCollectorDTO) {
        return iSchCollectorService.edit(schCollectorDTO);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iSchCollectorService.delete(ids);
    }
}
